import argparse
import numpy as np


def init():

	# Load novel molecules

	data = np.load('data_molecules.npy', allow_pickle = True)

	smi = data['smi']
	nuclear_charge = data['nuclear_charge']
	cordinates = data['cordinates']

	# Get molecule by index

	idx = int(args.molecule_index)

	print(smi[idx])
	print(nuclear_charge[idx])
	print(cordinates[idx])


if __name__ == '__main__':

	parser = argparse.ArgumentParser()

	# Input Arguments

	parser.add_argument('--molecule-index', default = 0, required = False)

	args = parser.parse_args()

	init()

